%define	name	gtodo
%define	version	0.16.0
%define	release	%mkrel 0.rc2.1
%define	Summary	TODO List manager for Gnome 2

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Office
URL:		http://gtodo.qballcow.nl/
Source0:	%{name}-%{version}-rc2.tar.bz2
Source11:	gtodo16.png
Source12:	gtodo32.png
Source13:	gtodo48.png
Patch0:		gtodo-0.16.0-fix-str-fmt.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gettext libxml2-devel gtk+2-devel libGConf2-devel
BuildRequires:	perl-XML-Parser gnome-vfs2-devel libxslt-devel
BuildRequires:	desktop-file-utils

%description
Gtodo is a Gtk+-2.0 Todo list manager written for use with gnome 2.
It tries to follow the hig and gnome policy as good as possible.

%prep
%setup -q 
%patch0 -p0

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

%find_lang %{name}

desktop-file-install	--vendor="" \
			--remove-category="Application" \
			--add-category="X-MandrivaLinux-Office-TasksManagement" \
			--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%if %mdkversion < 200900
%post
%update_menus
%post_install_gconf_schemas %{name}
%endif

%preun
%preun_uninstall_gconf_schemas %{name}

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_datadir}/pixmaps/*.png
%{_sysconfdir}/gconf/schemas/*
%{_datadir}/mime-info/*




%changelog
* Thu Feb 18 2010 Funda Wang <fwang@mandriva.org> 0.16.0-0.rc2.1mdv2010.1
+ Revision: 507434
- udpate source from debian
- fix str fmt

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 0.16.0-0.rc1.1mdv2009.0
+ Revision: 218421
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
- use %%preun_uninstall_gconf_schemas
- use %%post_install_gconf_schemas/%%preun_uninstall_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Tue Mar 13 2007 Pascal Terjan <pterjan@mandriva.org> 0.16.0-0.rc1.1mdv2007.1
+ Revision: 142325
- add missing Buildrequires
- 0.16.0-rc1
- drop old menu
- Import gtodo

* Sat Aug 26 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.14-7mdv2007.0
- fix summary macro used in menu item
- use xdg menu
- don't archive/bzip2 icons
- cleanups

* Sat May 13 2006 Pascal Terjan <pterjan@mandriva.org> 0.14-6mdk
- Rebuild

* Sun Jan 16 2005 Pascal Terjan <pterjan@mandrake.org> 0.14-5mdk
- fix BuildRequires

* Mon Aug 30 2004 Jerome Soyer <saispo@mandrake.org> 0.14-4mdk
- fix BuildRequires

* Thu Aug 12 2004 Pascal Terjan <pterjan@mandrake.org> 0.14-3mdk
- fix menu section

* Thu Apr 29 2004 Pascal Terjan <pterjan@mandrake.org> 0.14-2mdk
- cleanup (thanks fcrozat for the tip)

* Fri Apr 23 2004 Pascal Terjan <pterjan@mandrake.org> 0.14-1mdk
- 0.14

